Package com.io7m.cardant.shell.internal.formatting

# Class CAFormatterRaw

java.lang.Object
com.io7m.cardant.shell.internal.formatting.CAFormatterRaw

All Implemented Interfaces:
  `CAFormatterType`

public final class CAFormatterRaw extends Object implements CAFormatterType
A raw formatter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAFormatterRaw(org.jline.terminal.Terminal inTerminal)`
  A raw formatter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `formatAuditPage(CAPage<CAAuditEvent> page)`
  Format a page of audit events.
  `void`
  `formatBookmarks(List<CAPreferenceServerBookmark> bookmarks)`
  Format a list of bookmarks.
  `void`
  `formatFile(CAFileType file)`
  Format a file.
  `void`
  `formatFilesPage(CAPage<CAFileType.CAFileWithoutData> files)`
  Format a page of file summaries.
  `void`
  `formatItem(CAItem item)`
  Format an item.
  `void`
  `formatItemsPage(CAPage<CAItemSummary> items)`
  Format a page of item summaries.
  `void`
  `formatLocation(CALocation location)`
  Format a location.
  `void`
  `formatRoles(Set<com.io7m.medrina.api.MRoleName> roles)`
  Format a list of roles.
  `void`
  `formatTypeDeclaration(CATypeDeclaration type)`
  Format a type declaration.
  `void`
  `formatTypeDeclarationPage(CAPage<CATypeDeclarationSummary> types)`
  Format a page of types.
  `void`
  `formatTypesScalar(Set<CATypeScalarType> types)`
  Format a set of scalar types.
  `void`
  `formatTypesScalarPage(CAPage<CATypeScalarType> types)`
  Format a page of scalar types.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAFormatterRaw

    public CAFormatterRaw(org.jline.terminal.Terminal inTerminal)
    A raw formatter.
    Parameters:
      `inTerminal` - The terminal

- ## Method Details

  - ### formatFile

    public void formatFile(CAFileType file)
    Description copied from interface: `CAFormatterType`
    Format a file.
    Specified by:
      `formatFile` in interface `CAFormatterType`
    Parameters:
      `file` - the file

  - ### formatFilesPage

    public void formatFilesPage(CAPage<CAFileType.CAFileWithoutData> files)
    Description copied from interface: `CAFormatterType`
    Format a page of file summaries.
    Specified by:
      `formatFilesPage` in interface `CAFormatterType`
    Parameters:
      `files` - The page

  - ### formatItem

    public void formatItem(CAItem item)
    Description copied from interface: `CAFormatterType`
    Format an item.
    Specified by:
      `formatItem` in interface `CAFormatterType`
    Parameters:
      `item` - The item

  - ### formatItemsPage

    public void formatItemsPage(CAPage<CAItemSummary> items)
    Description copied from interface: `CAFormatterType`
    Format a page of item summaries.
    Specified by:
      `formatItemsPage` in interface `CAFormatterType`
    Parameters:
      `items` - The items

  - ### formatBookmarks

    public void formatBookmarks(List<CAPreferenceServerBookmark> bookmarks)
    Description copied from interface: `CAFormatterType`
    Format a list of bookmarks.
    Specified by:
      `formatBookmarks` in interface `CAFormatterType`
    Parameters:
      `bookmarks` - The bookmarks

  - ### formatRoles

    public void formatRoles(Set<com.io7m.medrina.api.MRoleName> roles)
    Description copied from interface: `CAFormatterType`
    Format a list of roles.
    Specified by:
      `formatRoles` in interface `CAFormatterType`
    Parameters:
      `roles` - The roles

  - ### formatTypesScalar

    public void formatTypesScalar(Set<CATypeScalarType> types)
    Description copied from interface: `CAFormatterType`
    Format a set of scalar types.
    Specified by:
      `formatTypesScalar` in interface `CAFormatterType`
    Parameters:
      `types` - The types

  - ### formatTypesScalarPage

    public void formatTypesScalarPage(CAPage<CATypeScalarType> types)
    Description copied from interface: `CAFormatterType`
    Format a page of scalar types.
    Specified by:
      `formatTypesScalarPage` in interface `CAFormatterType`
    Parameters:
      `types` - The types

  - ### formatTypeDeclaration

    public void formatTypeDeclaration(CATypeDeclaration type)
    Description copied from interface: `CAFormatterType`
    Format a type declaration.
    Specified by:
      `formatTypeDeclaration` in interface `CAFormatterType`
    Parameters:
      `type` - The type

  - ### formatTypeDeclarationPage

    public void formatTypeDeclarationPage(CAPage<CATypeDeclarationSummary> types)
    Description copied from interface: `CAFormatterType`
    Format a page of types.
    Specified by:
      `formatTypeDeclarationPage` in interface `CAFormatterType`
    Parameters:
      `types` - The types

  - ### formatLocation

    public void formatLocation(CALocation location)
    Description copied from interface: `CAFormatterType`
    Format a location.
    Specified by:
      `formatLocation` in interface `CAFormatterType`
    Parameters:
      `location` - The location

  - ### formatAuditPage

    public void formatAuditPage(CAPage<CAAuditEvent> page)
    Description copied from interface: `CAFormatterType`
    Format a page of audit events.
    Specified by:
      `formatAuditPage` in interface `CAFormatterType`
    Parameters:
      `page` - The page

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`